Subject: [Rfced-future] Issue 82 revisited: vacancies

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Oct 2021 15:50:33 -0600

In the interest of making progress, I suggest that we split issue 82 
(RSAB vacancies) and issue 84 (RSAB quorum) into two separate threads.

I suspect that the vacancy issue is more tractable, so here's a start.

Based on our last meeting, I proposed the following text regarding 
vacancies:

###

In the case of vacancies, the RSAB shall operate as follows:

* Voting on approval of policy definition documents produced by
   the RSWG shall be delayed until the vacancy or vacancies have
   been filled.
* Activities related to implementation of policies already defined
   shall continue as normal.

Because vacancies effectively prevent the RSAB from approving new
policy changes, such vacancies should be filled with all due speed.

###

Since then, discussion on list has identified several aspects of note:

(1) although policy documents are not time-sensitive, it might not be 
reasonable to delay their approval indefinitely

(2) a vacancy of the RSCE might be acceptable (since that role could 
take longer to fill than the stream representatives)

(3) the appointing bodies should be able to fill vacancies (other than 
the RSCE) quickly enough to prevent indefinite delays

Therefore I'd like to propose the following text (the last two sentences 
are already in -04):

###

    In the case of vacancies by voting members other than the RSCE,
    the RSAB shall operate as follows:

    * Voting on approval of policy documents produced by the RSWG shall
      be delayed until the vacancy or vacancies have been filled, up to a
      maximum of 6 months.
    * Activities related to implementation of policies already in force
      shall continue as normal.

    Appointing bodies should ensure that voting members are seated at all
    times and should fill any vacancies with all due speed, if necessary
    on a temporary basis.  In the case that the IRTF chair or ISE is
    incapacitated or otherwise unable to appoint a delegate, this
    responsibility shall fall to the IAB as the appointing body for the
    IRTF chair and ISE respectively.

###

Is this something we can live with?

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 12 Oct 2021 11:07:19 +1300

+1 to separating the issues. My comments below:
> Is this something we can live with?

I really think 6 months is too long. Don't tell me we can't appoint acting replacements in less than 3 months - that's already a *long* time.

And can we really apply this rule to the RSCE? How would it work in practice? Would the LLC have to have a candidate on standby?

   Brian

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Oct 2021 16:10:23 -0600

> I really think 6 months is too long. Don't tell me we can't appoint acting replacements in less than 3 months - that's already a *long* time.

I almost wrote "X" months. Perhaps 2 or 3 is better.

> And can we really apply this rule to the RSCE? How would it work in practice? Would the LLC have to have a candidate on standby?

I'm suggesting that we NOT apply this rule to the RSCE ("In the case of 
vacancies by voting members other than the RSCE...").

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 12 Oct 2021 11:27:10 +1300

> vacancies by voting members other than the RSCE...").

Oh, sorry, I missed that. Then my only concern is the 6 months. I could live with 3.

Thanks,
   Brian

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 12 Oct 2021 11:02:42 +1100

I share Brian's concern about the 6 number, but I'm happy with 3 if it comes to that.

On Tue, Oct 12, 2021, at 08:50, Peter Saint-Andre wrote:
>     [...] In the case that the IRTF chair or ISE is

Minor grammatical ambiguity here.  The "this" here could be read in one of two ways:

1. The IAB is responsible for acting as a (temporary) delegate.

2. The IAB is responsible for appointing a (temporary) delegate.

I think that you probably want the latter, perhaps:

> In the case that the IRTF chair or ISE is incapacitated or otherwise unable to appoint a delegate, the IAB - as the appointing body for the IRTF chair and ISE respectively - shall appoint a delegate.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Oct 2021 18:08:11 -0600

> I share Brian's concern about the 6 number, but I'm happy with 3 if it comes to that.

With my editor hat on I have no preference - I was merely positing a 
value that we could discuss. (Personally, I'd agree that 3 seems more 
reasonable.)

>> In the case that the IRTF chair or ISE is incapacitated or otherwise unable to appoint a delegate, the IAB - as the appointing body for the IRTF chair and ISE respectively - shall appoint a delega…

Yes, that's better.

Peter

---

From: Martin J. Dürst <[email-masked]>
Date: Tue, 12 Oct 2021 09:33:52 +0900

> I share Brian's concern about the 6 number, but I'm happy with 3 if it comes to that.

Same here. Even lower is even better. Taking 3 months to appoint a 
temporary delegate is waaaay toooooo long. Two months should be enough, 
even over the summer or the New Year's holidays.

>> In the case that the IRTF chair or ISE is incapacitated or otherwise unable to appoint a delegate, the IAB - as the appointing body for the IRTF chair and ISE respectively - shall appoint a delega…

I'd go one step further and add "temporary", to make it crystal clear:

In the case that the IRTF chair or ISE is incapacitated or otherwise 
unable to appoint a delegate, the IAB - as the appointing body for the 
IRTF chair and ISE respectively - shall appoint a temporary delegate.

Regards,   Martin.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Oct 2021 19:33:20 -0600

> even over the summer or the New Year's holidays.

One consideration is knowing when the vacancy actually started. Perhaps 
the delegate misses a meeting or doesn't reply to email for 3 weeks but 
no one thinks much of it. Another 3 weeks go by, the appointing body 
finally learns that the role has been vacated, and now they're 6 weeks 
into their 2 months. Considerations of this kind make me think that 3 
months is safer.

>>> unable to appoint a delegate, the IAB - as the appointing body for 
>>> the IRTF chair and ISE respectively - shall appoint a delegate.
>>
> 

+1

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 11 Oct 2021 20:16:15 -0600

Updated proposal based on feedback so far:

###

      maximum of 3 months.

    Appointing bodies should ensure that voting members are seated at all
    times and should fill any vacancies with all due speed, if necessary
    on a temporary basis.  In the case that the IRTF chair or ISE is
    incapacitated or otherwise unable to appoint a delegate, the IAB - as
    the appointing body for the IRTF chair and ISE respectively - shall
    appoint a temporary delegate.

###

On 10/11/21 7:33 PM, Peter Saint-Andre wrote:
>> temporary delegate is waaaay toooooo long. Two months should be 
>> enough, even over the summer or the New Year's holidays.
>

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 11 Oct 2021 19:24:51 -0700

>     appoint a temporary delegate.

I can live with this, but I think you should explicitly say that a vacancy
of the
RSCE does not require delays of approval (I believe we are agreed
on this, it's just in the interest of clarity)

-Ekr

###
> --
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future
>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 12 Oct 2021 16:59:05 +1300

wfm

Regards
   Brian

---

From: Eliot Lear <[email-masked]>
Date: Tue, 12 Oct 2021 09:49:31 +0200

Apart from the 3 month change, I think Brian had a list of edits that 
includes this one.  Those changes include the following:

s/delegate/member/
s/in attendance/being available/
s/any voting members/any voting members other than the RSCE/
s/present/available/

Barring objections we've asked Peter to apply these changes.

Eliot

On 12.10.21 04:24, Eric Rescorla wrote:
> I can live with this, but I think you should explicitly say that a 
> vacancy of the

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 19:38:00 +0100

> On 12 Oct 2021, at 02:33, Peter Saint-Andre <[email-masked]> wrote:
>> Same here. Even lower is even better. Taking 3 months to appoint a temporary delegate is waaaay toooooo long. Two months should be enough, even over the summer or the New Year's holidays.
> 
> One consideration is knowing when the vacancy actually started. Perhaps the delegate misses a meeting or doesn't reply to email for 3 weeks but no one thinks much of it. Another 3 weeks go by, the appointing body finally learns that the role has been vacated, and now they're 6 weeks into their 2 months. Considerations of this kind make me think that 3 months is safer.

I’d be much more comfortable with six months, for reasons such as this. There’s nothing time sensitive here.

-- 
Colin Perkins
https://csperkins.org/

---

From: Eliot Lear <[email-masked]>
Date: Tue, 12 Oct 2021 20:48:29 +0200

<no hats>

> I’d be much more comfortable with six months, for reasons such as this. There’s nothing time sensitive here.

Sorry- six months is nothing short of outrageous to stop work.

Eliot

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 20:02:29 +0100

> On 12 Oct 2021, at 19:48, Eliot Lear <[email-masked]> wrote:
> 
> <no hats>
> 

What sort of policy changes for the RFC series are you expecting where a worst case delay of six months, that can only occur in an exceptional emergency situation and not in normal operation of the process, would cause any problems?

The worst case outcome here is that RFCs continue to be published following the existing process for a few months longer while an appointment is made.

Colin

---

From: Eliot Lear <[email-masked]>
Date: Tue, 12 Oct 2021 21:12:05 +0200

On 12.10.21 21:02, Colin Perkins wrote:
>>> I’d be much more comfortable with six months, for reasons such as 
>>> this. There’s nothing time sensitive here.
>>
> What sort of policy changes for the RFC series are you expecting where 
> a worst case delay of six months, that can only occur in an 
> exceptional emergency situation and not in normal operation of the 
> process, would cause /any/ problems?

Sorry- wrong question.  If a volunteer group – ANY volunteer group – has 
put in months if not years of effort, negotiated with one another, to 
evolve the series and its policies, it is simply the height of 
disrespect to make them wait six months to see the fruits of their 
labors.  No business would tolerate such a delay, and we shouldn't 
either.  You simply cannot delay the will of the community like that.

Three months is barely tolerable, but understandable.  Six months is 
beyond any reason.

Eliot

---

From: Brian Rosen <[email-masked]>
Date: Tue, 12 Oct 2021 15:20:16 -0400

Is there a compromise here?  Something like 3 months but can be extended by unanimous (or majority or super majority) agreement of the other RSAB members?

> On Oct 12, 2021, at 3:12 PM, Eliot Lear <[email-masked]> wrote:
> 
>>>>

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 20:23:25 +0100

> On 12 Oct 2021, at 20:12, Eliot Lear <[email-masked]> wrote:
>>> On 12 Oct 2021, at 19:48, Eliot Lear <[email-masked] <mailto:[email-masked]>> wrote:
>>> 
>>> <no hats>
>>> 
> Sorry- wrong question.  If a volunteer group – ANY volunteer group – has put in months if not years of effort, negotiated with one another, to evolve the series and its policies, it is simply the height of disrespect to make them wait six months to see the fruits of their labors.  No business would tolerate such a delay, and we shouldn't either.  You simply cannot delay the will of the community like that.
> 

Sorry, but I strongly disagree. 

It’s not okay to disenfranchise one of the communities that publish in the RFC series if their representative is incapacitated and the appointing body, despite their best efforts, is struggling to find a qualified replacement. 

Colin

---

From: Eliot Lear <[email-masked]>
Date: Tue, 12 Oct 2021 21:44:17 +0200

<no hats>

On 12.10.21 21:23, Colin Perkins wrote:
> It’s not okay to disenfranchise one of the communities that publish in 
> the RFC series if their representative is incapacitated and the 
> appointing body, despite their best efforts, is struggling to find a 
> qualified replacement.

This is not the other streams sneaking off in the middle of the night 
and doing something behind one stream's back.  It is not about 
disenfranchisement when you refuse to allow for a temporary appointment 
in any form.

Eliot

---

From: Eliot Lear <[email-masked]>
Date: Tue, 12 Oct 2021 21:46:43 +0200

<no hats>

+1.

---

From: Jay Daley <[email-masked]>
Date: Wed, 13 Oct 2021 08:47:45 +1300

> On 13/10/2021, at 8:23 AM, Colin Perkins <[email-masked]> wrote:
> 
>> On 12 Oct 2021, at 20:12, Eliot Lear <[email-masked] <mailto:[email-masked]>> wrote:

(also no hat)

I understand the importance of not having a stream disenfranchised but extending this gap to six months feels to me as if it would undermine the RSWG/RSAB process and so run the risk of disenfranchising all streams.  

I also doubt that any length of time will guarantee the ability of a stream to find a "qualified" replacement as this is such a niche area.  3 months should be adequate for a stream to find a "capable" replacement even if they are unqualified.

Jay

> [email-masked] <mailto:[email-masked]>
> https://www.iab.org/mailman/listinfo/rfced-future <https://www.iab.org/mailman/listinfo/rfced-future>
-- 
Jay Daley
IETF Executive Director
[email-masked]

---

From: Colin Perkins <[email-masked]>
Date: Tue, 12 Oct 2021 20:49:43 +0100

> On 12 Oct 2021, at 20:44, Eliot Lear <[email-masked]> wrote:
> 
> <no hats>
> 
> This is not the other streams sneaking off in the middle of the night and doing something behind one stream's back.  It is not about disenfranchisement when you refuse to allow for a temporary appointment in any form.

Now I’m really confused.

We're talking about the process for appointing a (potentially temporary) replacement. I want to give the appointing bodies time to do that – and believe three months may be too short. 

-- 
Colin Perkins
https://csperkins.org/

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 13 Oct 2021 08:54:33 +1300

On 13-Oct-21 08:23, Colin Perkins wrote:
>>> What sort of policy changes for the RFC series are you expecting where a worst case delay of six months, that can only occur in an exceptional 
emergency situation and not in normal operation of the process, would cause /any/ problems?
>>
>> Sorry- wrong question.  If a volunteer group – ANY volunteer group – has put in months if not years of effort, negotiated with one another, to evolve the series and its policies, it is simply the 
height of disrespect to make them wait six months to see the fruits of their labors.  No business would tolerate such a delay, and we shouldn't either.  You simply cannot delay the will of the community like that.
> It’s not okay to disenfranchise one of the communities that publish in the RFC series if their representative is incapacitated and the appointing body, despite their best efforts, is struggling to…

We're only talking about an *acting* replacement for a job that is not at 
all time consuming and doesn't seem to require any highly specialised knowledge (the RSCE is there for that, and is explicitly not part of this discussion).

So I simply don't buy Colin's argument; three months is a very generous amount of time.

   Brian

---

From: Brian Rosen <[email-masked]>
Date: Tue, 12 Oct 2021 15:57:33 -0400

Is there anyone besides Colin who feels 3 months is not adequate?

Brian

> On Oct 12, 2021, at 3:54 PM, Brian E Carpenter <[email-masked]> wrote:
>

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 12 Oct 2021 13:05:35 -0700

I think it's adequate, but I also don't think it's a crisis if it takes 6
months for things to be approved.

-Ekr

On Tue, Oct 12, 2021 at 12:57 PM Brian Rosen <[email-masked]> wrote:

> >>>> What sort of policy changes for the RFC series are you expecting
> where a worst case delay of six months, that can only occur in an
> exceptional
> >>> Sorry- wrong question.  If a volunteer group – ANY volunteer group –
> has put in months if not years of effort, negotiated with one another, to
> evolve the series and its policies, it is simply the
> > height of disrespect to make them wait six months to see the fruits of
> their labors.  No business would tolerate such a delay, and we shouldn't
> the RFC series if their representative is incapacitated and the appointing
> body, despite their best efforts, is struggling to find a qualified
> replacement.
> >
> > all time consuming and doesn't seem to require any highly specialised
> knowledge (the RSCE is there for that, and is explicitly not part of this
> discussion).
> >

---

From: Michael StJohns <[email-masked]>
Date: Tue, 12 Oct 2021 16:25:38 -0400

Hi -

This is the height of ridiculousness that we're having this argument.    
I anticipate that there will be very few documents passed through this 
process - maybe one or two per year if that.   The voting schedule (and 
for that matter the actual votes) for such documents will be known weeks 
if not months in advance, if for no other reason than a stream 
representative might want to take the temperature of its respective room 
prior to casting their vote.   Taking such temperature does not require 
6 months.  For that matter it does not require 3 months.   If there's a 
vacancy, then the RSAB asks the chair of the sending organization to 
provide a vote to be cast.  That chair can either cast it solo, or go 
and poll the organization - but that part of the process is not an RFCED 
issue, but an issue for the individual organization to decide.

There will be no disenfranchisement without a lot of work on the behalf 
of the disenfranchised organization to completely and utterly ignore the 
process would have already been going on for at least 6 months and 
probably for a year or two.

So, I think 3 months is too long, but can live with it for now.

Later, Mike

---

From: Michael StJohns <[email-masked]>
Date: Tue, 12 Oct 2021 16:37:18 -0400

Sorry - for clarity, I mean 3 months from the time the document is 
placed for a vote, not from the time a vacancy occurs.

Mike

On 10/12/2021 4:25 PM, Michael StJohns wrote:
> Hi -
>
> This is the height of ridiculousness that we're having this 
> argument.    I anticipate that there will be very few documents passed 
> through this process - maybe one or two per year if that. The voting 
> schedule (and for that matter the actual votes) for such documents 
> will be known weeks if not months in advance, if for no other reason 
> than a stream representative might want to take the temperature of its 
> respective room prior to casting their vote.   Taking such temperature 
> does not require 6 months.  For that matter it does not require 3 
> months.   If there's a vacancy, then the RSAB asks the chair of the 
> sending organization to provide a vote to be cast.  That chair can 
> either cast it solo, or go and poll the organization - but that part 
> of the process is not an RFCED issue, but an issue for the individual 
> organization to decide.
>
> There will be no disenfranchisement without a lot of work on the 
> behalf of the disenfranchised organization to completely and utterly 
> ignore the process would have already been going on for at least 6 
> months and probably for a year or two.
>
>>>>>>>> I’d be much more comfortable with six months, for reasons such 
>>>>>>>> as this. There’s nothing time sensitive here.
>>>>> Sorry- wrong question.  If a volunteer group – ANY volunteer group 
>>>>> – has put in months if not years of effort, negotiated with one 
>>>>> another, to evolve the series and its policies, it is simply the
>>> height of disrespect to make them wait six months to see the fruits 
>>> of their labors.  No business would tolerate such a delay, and we 
>>> shouldn't either.  You simply cannot delay the will of the community 
>>> like that.
>>>> It’s not okay to disenfranchise one of the communities that publish 
>>>> in the RFC series if their representative is incapacitated and the 
>>>> appointing body, despite their best efforts, is struggling to find 
>>>> a qualified replacement.
>>> all time consuming and doesn't seem to require any highly 
>>> specialised knowledge (the RSCE is there for that, and is explicitly 
>>> not part of this discussion).
>>>

---

From: Martin J. Dürst <[email-masked]>
Date: Wed, 13 Oct 2021 12:38:20 +0900

Well said, I agree.   Regards,   Martin.

On 2021-10-13 05:25, Michael StJohns wrote:
> Hi -
> 
> This is the height of ridiculousness that we're having this argument. I 
> anticipate that there will be very few documents passed through this 
>>> knowledge (the RSCE is there for that, and is explicitly not part of 
>>> this discussion).
>>>

-- 
Prof. Dr.sc. Martin J. Dürst
Department of Intelligent Information Technology
College of Science and Engineering
Aoyama Gakuin University
Fuchinobe 5-1-10, Chuo-ku, Sagamihara
252-5258 Japan

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 14 Oct 2021 09:38:22 -0600

Here is my latest proposed text to address Issue 82 (this includes some 
clarifications regarding "delegate" vs. "member" etc.)...

###

The voting members of the RSAB are as follows:

* As the stream representative for the IETF stream, the IETF chair
   or their delegate appointed by the IESG
* As the stream representative for the IAB stream, the IAB chair
   or their delegate appointed by the IAB
* As the stream representative for the IRTF stream, the IRTF chair
   or their delegate appointed by the IRTF Chair
* As the stream representative for the Independent stream, the
   Independent Submissions Editor (ISE) {{RFC8730}} or their
   delegate appointed by the ISE
* The RFC Series Consulting Editor

The appointing bodies shall determine their own processes for
appointing RSAB members, such as provision for an open nominations
period (note that appointment of the RSCE is described below). If
it becomes necessary to replace an RSAB member for any reason, then
for the sake of continuity the appointing body should appoint a new
member to complete the former member's term. Appointing bodies should
ensure that voting members are seated at all times and should fill
any vacancies with all due speed, if necessary on a temporary basis.
In the case that the IRTF chair or ISE is incapacitated or otherwise
unable to appoint a delegate, the IAB (as the appointing body for
the IRTF chair and ISE respectively) shall appoint a temporary member
until the IRTF chair or ISE has been appointed by the IAB.

In the case of vacancies by voting members, the RSAB shall operate
as follows:

* Activities related to implementation of policies already in force
   shall continue as normal.
* Voting on approval of policy documents produced by the RSWG shall
   be delayed until the vacancy or vacancies have been filled, up to a
   maximum of 3 months; this clause does not apply to a vacancy of the
   RSCE role, only of the stream representatives enumerated above.

###

---

From: Eric Rescorla <[email-masked]>
Date: Thu, 14 Oct 2021 10:46:22 -0700

Hi Peter,

Just so we're all on the same page, supposing that the IRTF Chair ISE and
RSCE all resigned, after three months the IETF Chair and IAB chair could
approve documents?

I think that's enough of an edge case that I'm not worried about it and I
think our other mechanisms are strong enough to address it, but I just
wanted to make sure we agree on what it says.

-Ekr

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 14 Oct 2021 11:54:24 -0600

On 10/14/21 11:46 AM, Eric Rescorla wrote:
> Hi Peter,
> 
> Just so we're all on the same page, supposing that the IRTF Chair ISE 
> and RSCE all resigned, after three months the IETF Chair and IAB chair 
> could approve documents?

Yes, if the IAB doesn't name temporary RSAB members to represent the 
IRTF and Independent streams and the IETF LLC doesn't name a temporary 
member to fill the RSCE seat.

Peter

---

From: Michael StJohns <[email-masked]>
Date: Thu, 14 Oct 2021 15:39:02 -0400

On 10/14/2021 1:54 PM, Peter Saint-Andre wrote:
>> and RSCE all resigned, after three months the IETF Chair and IAB 
>> chair could approve documents?
>
I don't think that's what we've agreed to.    If you follow the above 
reductio ab adsurdum to the point where Lars falls over dead, then the 
IAB chair by themself could approve a document.

I think a minimum number of yes votes for a document to approved needs 
to apply regardless of the actual number of active members - and that 
minimum number can't be one, or even two.

Later, Mike

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 14 Oct 2021 13:42:57 -0600

> minimum number can't be one, or even two.

That's issue 84 (quorum requirements). Let's pursue it in that thread.

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 15 Oct 2021 14:12:54 +1300

wfm

Regards
   Brian Carpenter

---

From: John C Klensin <[email-masked]>
Date: Fri, 15 Oct 2021 01:35:40 -0400

--On Thursday, October 14, 2021 09:38 -0600 Peter Saint-Andre
<[email-masked]> wrote:

> Here is my latest proposed text to address Issue 82 (this
> includes some clarifications regarding "delegate" vs. "member"
> etc.)...
> 
>### 
> 
>...
Peter,

I am a little bit confused about two points.

(1) Why should this group try to dictate who fills the RSAB seat
for a particular stream by default?  Using the IETF stream as an
example, why not just say:
 
 * As the stream representative for the IETF stream, an
	IESG member selected by the IESG.
	
If the IESG then wants to make a policy and statement that the
stream representative is the Chair unless they decide otherwise,
that is within their authority and discretion, not that of this
process.  Similar arguments apply to to the other streams.

(2) It strikes me that having a stream representative who is not
a sitting member of the body making decisions about what is
published in that stream is looking for trouble.   If one
believes that, I see no rationale for an open nomination
process.  It is a bit less obvious about the other streams, but
if the IESG and IAB are able to make decisions that affect the
entire Internet, certainly they ought to be able to figure out
which of them members draws this particular duty.  

Unless there is a case for an open nominations process that I'm
not seeing, why not just say:

	"The appointing bodies shall determine their own
	processes for appointing RSAB members (note that
	appointment of the RSCE is described below)."

If my reasoning above is even nearly correct, an open
nominations process is not properly "such as"; it is just
distracting and confusing text.

  best,
    john

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 15 Oct 2021 10:09:42 -0600

> distracting and confusing text.

Agreed.

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 15 Oct 2021 10:38:13 -0600

>> process.  Similar arguments apply to to the other streams.

On this point, IIRC we had shied away from saying that the stream 
representative for the IETF stream needed to be an IESG member (and 
similar for the IAB stream), given turnover among IESG members.

Peter

---

From: John C Klensin <[email-masked]>
Date: Fri, 15 Oct 2021 13:24:55 -0400

--On Friday, October 15, 2021 10:38 -0600 Peter Saint-Andre
<[email-masked]> wrote:

>>> (1) Why should this group try to dictate who fills the RSAB
>>> seat for a particular stream by default?  Using the IETF
>>> stream as an example, why not just say:
>>> If the IESG then wants to make a policy and statement that
>>> the stream representative is the Chair unless they decide
>>> otherwise, that is within their authority and discretion,
>>> not that of this process.  Similar arguments apply to to
>>> the other streams.
> 
> On this point, IIRC we had shied away from saying that the
> stream representative for the IETF stream needed to be an IESG
> member (and similar for the IAB stream), given turnover among
> IESG members.

Well, I think that that is a bad idea.  There will certainly be
times when one of those representatives is required to speak for
the stream and the stream's approval body.  Not being privy to
that body's internal discussions (especially after we return to
retreats and other f2f meetings) would be a real disadvantage
and an opportunity for the body to end up needing to repudiate
whatever the representative said on their behalf.  Or we could
get into a situation in which the representatives would need to
poll the relevant body before taking a position (see Note
below). 

If the consensus is that we want to allow the appointing bodies
to make their own decisions about internal or external
appointments, I'm ok with them taking that responsibility.
However, the document should then be explicit about it because
the text, as written, seems confusing.  Again taking the IETF
Stream as an example, you might say 

 * As the stream representative for the IETF stream, an
	IESG member or member of the community selected by 
  the IESG.

And then, optionally, put words like "when the people being
selected are not part of the appointing body" near "open
nomination process".

As a general observation at this point I am far more concerned
about having ambiguities that then require either reopening this
process or having an extended debate about what to do instead
than about any particular decision.

best,
   john
 
Note: (open can, discover worms) I cannot find anything in the
document that allows an appointing body to remove their
delegate.  Especially if the delegates are not members of the
appointing body, there better be a way for that body to fire
them.  A simple sentence to the effect that all delegates, once
appointed, serve at the pleasure of the appointing body would, I
think, be sufficient.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 18 Oct 2021 12:06:59 -0600

On 10/15/21 11:24 AM, John C Klensin wrote:
> Well, I think that that is a bad idea. 

Although personally I tend to agree, I don't feel strongly enough to 
insist on it (e.g., a recent IESG member could have more context and be 
more effective than someone who just joined the IESG).

> There will certainly be

That seems fine to me.

> selected are not part of the appointing body" near "open

I think that feedback on list would lead me to removing the text about 
an open nominations process, since people seem to feel it's confusing.

> appointed, serve at the pleasure of the appointing body would, I

Section 3.1.1 says:

    Each appointing body shall have the power
    to replace its appointed chair at its discretion at any time, with
    the replacement serving the remainder of the original chair's term.

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 18 Oct 2021 12:13:10 -0600

>     the replacement serving the remainder of the original chair's term.

Oops, wrong section. Section 3.1.2 does say:

    If it becomes necessary to replace such a delegate for any
    reason, then for the sake of continuity the appointing body should
    name a new delegate to complete the former delegate's term.

However, for the avoidance of doubt we could make a change such as:

OLD

   The appointing bodies shall determine their own processes
   for appointing RSAB members

NEW

   The appointing bodies shall determine their own processes
   for appointing and removing RSAB members

Peter

---

From: Eliot Lear <[email-masked]>
Date: Mon, 18 Oct 2021 20:50:52 +0200

Ok, so Peter:

What text are you proposing at this point?

Eliot

On 18.10.21 20:13, Peter Saint-Andre wrote:
>> insist on it (e.g., a recent IESG member could have more context and 
>> be more effective than someone who just joined the IESG).
>>
>>> There will certainly be
>> I think that feedback on list would lead me to removing the text 
>> about an open nominations process, since people seem to feel it's 
>> confusing.
>>

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 18 Oct 2021 12:57:19 -0600

> What text are you proposing at this point?

This is where I think we stand:

###

* As the stream representative for the IETF stream, an IESG member
   or a member of the community selected by the IESG
* As the stream representative for the IAB stream, an IAB member
   or a member of the community selected by the IAB
* As the stream representative for the IRTF stream, the IRTF chair
   or their delegate appointed by the IRTF Chair
* As the stream representative for the Independent stream, the
   Independent Submissions Editor (ISE) {{RFC8730}} or their
   delegate appointed by the ISE
* The RFC Series Consulting Editor

The appointing bodies shall determine their own processes for
appointing and replacing RSAB members (note that processes related
to the RSCE are described below). If it becomes necessary to replace
an RSAB member for any reason, then for the sake of continuity
the appointing body should appoint a new member to complete the
former member's term. Appointing bodies should ensure that
voting members are seated at all times and should fill any
vacancies with all due speed, if necessary on a temporary basis.
In the case that the IRTF chair or ISE is incapacitated or
otherwise unable to appoint a delegate, the IAB (as the
appointing body for the IRTF chair and ISE respectively) shall
appoint a temporary member until the IRTF chair or ISE has
been appointed by the IAB.

###

---

From: John C Klensin <[email-masked]>
Date: Mon, 18 Oct 2021 15:56:25 -0400

>    for appointing and removing RSAB members

Much better.  "replace such a delegate for any reason" does not
necessarily imply the ability to remove one.  The new text is a
bit odd in that regard ("serve at the pleasure as" language is
more conventional especially with "appointing and removing") but
I think your new text is adequate.

thanks,
   john

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 18 Oct 2021 14:10:02 -0600

> I think your new text is adequate.

We're in the realm of wordsmithing now, but we could say something like 
this:

###

The appointing bodies shall determine their own processes for
appointing RSAB members (note that processes related to the RSCE
are described below). Each appointing body shall have the power to
replace its appointed RSAB member at its discretion at any time.
If it becomes necessary to replace an RSAB member for any reason,
then for the sake of continuity the appointing body should appoint
a new member to complete the former member's term.

###

I have no strong preference on "replace" vs. "remove", but I suppose the 
latter is more accurate even though it sounds somewhat harsh. I'll make 
that change, too.

Peter

---

From: Brian Rosen <[email-masked]>
Date: Mon, 18 Oct 2021 16:14:29 -0400

Is anyone not able to live with this wording?  Please respond ASAP.  I will close this issue if we don’t have objections.

Brian

> On Oct 18, 2021, at 4:10 PM, Peter Saint-Andre <[email-masked]> wrote:
> 
> We're in the realm of wordsmithing now, but we could say something like this:
> 
> ###
> 
> I have no strong preference on "replace" vs. "remove", but I suppose the latter is more accurate even though it sounds somewhat harsh. I'll make that change, too.
> 
> Peter
> 
> --

---

From: John C Klensin <[email-masked]>
Date: Mon, 18 Oct 2021 16:38:13 -0400

--On Monday, October 18, 2021 14:10 -0600 Peter Saint-Andre
<[email-masked]> wrote:

>>>      If it becomes necessary to replace such a delegate for
>>>      any reason, then for the sake of continuity the
>>>      appointing body should
>> Much better.  "replace such a delegate for any reason" does
>> not necessarily imply the ability to remove one.  The new
>> text is a bit odd in that regard ("serve at the pleasure as"
>> language is more conventional especially with "appointing and
>> removing") but I think your new text is adequate.
> 

That would work for me and I think is more clear.  But, as you
said, we are into the realm of wordsmithing and I could
comfortably live with your most recent prior text.
 
>### 
> 
> I have no strong preference on "replace" vs. "remove", but I
> suppose the latter is more accurate even though it sounds
> somewhat harsh. I'll make that change, too.

No strong preference there either.  But, if someone is
involuntarily "replaced" mid-term, it definitely would be
"remove".  I hope no one proposes "fire".  So, for your second
sentence above "power to remove" would probably be slightly
better.  However, in the third sentence, "replace" is correct
because voluntary resignations due to changes of circumstances
are possible and are not removals (I'd hope that would be more
likely too) and should not be confused with them.  "Replace"
covers both situations.  Indeed, if someone is involuntarily
removed, they then need to be replaced.

    john

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 19 Oct 2021 10:37:50 +1300

This works for me.

Regards
   Brian Carpenter

On 19-Oct-21 09:14, Brian Rosen wrote:
>> On Oct 18, 2021, at 4:10 PM, Peter Saint-Andre <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>> <[email-masked] <mailto:[email-masked]>> wrote:

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 18 Oct 2021 15:41:26 -0600

> removed, they then need to be replaced.

Indeed, I don't think we need the third sentence, since it is covered by 
this sentence:

   Appointing bodies should ensure that voting members are seated
   at all times and should fill any vacancies with all due speed,
   if necessary on a temporary basis.

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 20 Oct 2021 10:13:31 -0600

Having completed this wordsmithing, here is the text I propose:

###

The appointing bodies shall determine their own processes for
appointing RSAB members (note that processes related to the RSCE
are described below). Each appointing body shall have the power to
remove its appointed RSAB member at its discretion at any time.
Appointing bodies should ensure that voting members are seated at
all times and should fill any vacancies with all due speed, if
necessary on a temporary basis. In the case that the IRTF chair
or ISE is incapacitated or otherwise unable to appoint a delegate,
the IAB (as the appointing body for the IRTF chair and ISE
respectively) shall appoint a temporary member until the IRTF
chair or ISE has been appointed by the IAB.

###

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Oct 2021 09:27:46 +1300

wfm
  Brian

On 21-Oct-21 05:13, Peter Saint-Andre wrote:
>>>>>>       name a new delegate to complete the 
former delegate's
>>>>>>       term.